Get latest answer of asked question

This API is used to fetch the latest answer of previous submitted question from Miso

A submitted question is put into a job with following stage:

  • Initialization
  • Parsing and fecthing related content
  • Relevance checking
  • Summarization

This API will tell you at what stage current question is in. If answer is fetched and being summerized, it will also return the latest summarization result.

Besides human readable answer, the products used to generate answer are also returned.

Path Parameters
  • question_id
    Type: string · Question IdFormat: uuid
    required
Responses
  • application/json
  • application/json
Request Example for get/v1/ask/questions/{question_id}/answer
curl 'https://api.askmiso.com/v1/ask/questions/123e4567-e89b-12d3-a456-426614174000/answer?api_key=YOUR_SECRET_TOKEN'
{
  "message": "success",
  "data": {
    "question": "string",
    "question_id": "123e4567-e89b-12d3-a456-426614174000",
    "parent_question_id": "123e4567-e89b-12d3-a456-426614174000",
    "answer_stage": "",
    "finished": false,
    "finish_reason": "not_finished",
    "answer": "",
    "sources": [],
    "related_resources": [],
    "followup_questions": [
      "string"
    ],
    "affiliation_products": [
      {}
    ],
    "revision": 0,
    "metadata": {}
  }
}